Subject: Re: [ANNOUNCEMENT] Updated: bash-2.05-4
From: Frank-Michael Moser <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Date: Fri, 04 May 2001 00:12:35 +0200

[Hope this msg doesn't come 2x, had mail problems]

I really wanted believe that's it, but sorry I must disappoint you.
544 is administrator who I am. But I changed owner to moser and 
rehashed. Here come the listings with CYGWIN="" and CYGWIN=ntsec.
... and the problem resists!

moser@FMM ~/bin
$ l
total 19
-rwxr-xr-x   1 moser    Kein           37 Apr 10 15:13 beep*
-rwxr-xr-x   1 moser    Kein          859 Apr 10 15:13 completejava*
-rwxr-xr-x   1 moser    Kein          241 Apr 10 15:13 contains*
-rwxr-xr-x   1 moser    Kein          215 Apr 17 15:55 cvs-status*
-rwxr-xr-x   1 moser    Kein          666 Apr 17 19:28 cvsrelease*

moser@FMM ~/bin
$ cvs
cvs-status  cvs.exe     cvsedit     cvsunlock

Now I try NT security:

moser@FMM ~/bin
$ export CYGWIN=ntsec

moser@FMM ~/bin
$ l
total 19
-rwx------   1 544      Kein           37 Apr 10 15:13 beep*
-rwx------   1 544      Kein          859 Apr 10 15:13 completejava*
-rwx------   1 544      Kein          241 Apr 10 15:13 contains*
-rwx------   1 moser    Kein          215 Apr 17 15:55 cvs-status*
-rwx------   1 moser    Kein          666 Apr 17 19:28 cvsrelease*

moser@FMM ~/bin
$ cvs
cvs-status  cvs.exe     cvsedit     cvsunlock

Frank-Michael.

Corinna Vinschen wrote:
> 
> On Thu, May 03, 2001 at 08:08:48PM +0200, Frank-Michael Moser wrote:
> > I just saw, that it is no question of being *.exe, script or builtin.
> > Here is a listing of my bin directory and you see cvsrelease as
> > executable:
> >
> > moser@FMM ~/bin
> > $ l
> > total 19
> > -rwx------   1 544      Kein           37 Apr 10 15:13 beep*
> > -rwx------   1 544      Kein          859 Apr 10 15:13 completejava*
> > -rwx------   1 544      Kein          241 Apr 10 15:13 contains*
> > -rwx------   1 544      Kein          215 Apr 17 15:55 cvs-status*
> > -rwx------   1 544      Kein          666 Apr 17 19:28 cvsrelease*
> > -rwx------   1 544      Kein          760 Apr 10 15:13 jai*
> > -rwx------   1 544      Kein          504 Apr 25 22:42 jedit*
> >
> > Here is the output of cvs<TAB>
> >
> > moser@FMM ~/bin
> > $ cvs
> > cvs-status  cvs.exe     cvsedit     cvsunlock
> >
> > Looks strange...?!
> >
> > Typing ./cvs<TAB> then gives a completion:
> >
> > moser@FMM ~/bin
> > $ ./cvs-status
> >
> > Only command completion suffers, file completion works,
> > cat "cvs<TAB>" gives:
> >
> > moser@FMM ~/bin
> > $ cat cvs
> > cvs-status  cvsrelease
> >
> > Both scripts start with #!/bin/bash
> >
> > What a kind of user-problem should this be ?
> 
> The reason is probably that you are neither the owner of the files
> nor is the x bit set for group or everyone. Change that by calling
> chmod 755 or chown <yourName> for the files, call `hash -r' and try
> completion again.
> 
> I just checked that by changing the permissions of my `kssh' script
> so that I have no execute permissions.
> 
> Corinna
> 
> --
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                                mailto:[email-masked]
> Red Hat, Inc.
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515230
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple